AIO on pi frontend starts but doesn't bind to port

Ok. I am sure this is probably something really simple but I cannot seem to figure it out.

When I first installed the all in one solution on the PI the interface came up great. After making a modification to the configuration.yaml file and restarting home-assistant.service the user interface would no longer load.

HA Version 49

Configuration:

homeassistant:
name: Home
latitude: 33.6053
longitude: -117.7173
elevation: 115
unit_system: imperial
http://en.wikipedia.org/wiki/List_of_tz_database_time_zones
time_zone: America/Los_Angeles
introduction:
frontend:
config:
http:
discovery:
conversation:
history:
logbook:
sun:
sensor:
platform: yr
tts:
platform: google
zwave:
usb_path: /dev/ttyACM0
config_path: /srv/homeassistant/src/python-openzwave/openzwave/config

group: !include groups.yaml
automation: !include automations.yaml

Output of the check_config command:

$ hass --script check_config
Testing configuration at /home/homeassistant/.homeassistant
2017-07-23 03:32:40 INFO (MainThread) [homeassistant.setup] Setting up introduction
2017-07-23 03:32:40 INFO (MainThread) [homeassistant.setup] Setting up recorder
2017-07-23 03:32:40 INFO (MainThread) [homeassistant.setup] Setting up http
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain introduction took 0.1 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain recorder took 0.1 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain http took 0.1 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up history
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up api
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up websocket_api
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain history took 0.1 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain api took 0.1 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain websocket_api took 0.1 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up frontend
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setup of domain frontend took 0.0 seconds.
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up group
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up sun
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up zwave
2017-07-23 03:32:41 INFO (MainThread) [homeassistant.setup] Setting up discovery
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up sensor
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up updater
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up conversation
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain group took 1.3 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain sun took 1.3 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain zwave took 1.0 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain discovery took 0.9 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain sensor took 0.8 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain updater took 0.2 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain conversation took 0.2 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up logbook
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up tts
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up config
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setup of domain logbook took 0.1 seconds.
2017-07-23 03:32:42 INFO (MainThread) [homeassistant.setup] Setting up automation
2017-07-23 03:32:43 INFO (MainThread) [homeassistant.setup] Setup of domain tts took 0.1 seconds.
2017-07-23 03:32:43 INFO (MainThread) [homeassistant.setup] Setup of domain config took 0.1 seconds.
2017-07-23 03:32:43 INFO (MainThread) [homeassistant.setup] Setup of domain automation took 0.1 seconds.

Output of the log file:

$ cat home-assistant.log
2017-07-23 03:04:23 WARNING (Recorder) [homeassistant.components.recorder] Ended unfinished session (id=12 from 2017-07-23 02:45:09.671503)
2017-07-23 03:04:35 WARNING (MainThread) [homeassistant.setup] Setup of sensor is taking over 10 seconds.

Any assistance would be greatly appreciated!

I noticed in the logs that home-assistant is trying to load openzwave even though it was already installed by AIO, see the following:

Jul 23 04:59:55 automationpi hass[8347]: 2017-07-23 04:59:55 INFO (Thread-1) [homeassistant.util.package] Attempting install of python_openzwave==0.4.0.31

After disabling zwave (for now)I was able to get the front end to bind to 8123 and the user interface to load however now it insists on a login for which I don’t have the password.

This leads to 2 new questions.

  1. How do you disable login, or set a password
  2. Anyone seen this openzwave issue?

Since I have all zwave products this is particularly important to my setup.

More progress to report. After leaving home-assistant running over night it appears that it resolved the dependency for openzwave, a little strange that it has to install this twice though. Once via AIO and another when you place zwave in your configuration.

I now see this in the log file:

2017-07-23 13:38:18 INFO (Dummy-12) [homeassistant.components.zwave] Z-Wave network is complete. All nodes on the network have been queried
2017-07-23 13:38:18 INFO (MainThread) [homeassistant.core] Bus:Handling <Event zwave.network_complete[L]>

Unfortunately, I still don’t have a working frontend yet (I may be jumping terms, still trying to figure out the lingo as well). The interface never becomes available on 8123.

If I disable zwave and restart hass the interface comes up but I cannot login due to the password requirement that I don’t have.

After stumbling over a few other threads I noticed that I was getting the following errors in my log file:

2017-07-23 13:54:36 ERROR (MainThread) [homeassistant.components.device_tracker] Unable to load /home/homeassistant/.homeassistant/known_devices.yaml: Config file not found: /home/homeassistant/.homeassistant/known_devices.yaml
2017-07-23 13:54:38 ERROR (Thread-5) [pynetgear] Error talking to API
Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/models.py”, line 374, in prepare_url
scheme, auth, host, port, path, query, fragment = parse_url(url)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/util/url.py”, line 199, in parse_url
raise LocationParseError(url)
requests.packages.urllib3.exceptions.LocationParseError: Failed to parse: None:None
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/home/homeassistant/.homeassistant/deps/pynetgear/init.py”, line 113, in _make_request
self.soap_url, headers=headers, data=message, timeout=10)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/api.py”, line 112, in post
return request(‘post’, url, data=data, json=json, **kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/sessions.py”, line 504, in request
prep = self.prepare_request(req)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/sessions.py”, line 436, in prepare_request
hooks=merge_hooks(request.hooks, self.hooks),
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/models.py”, line 302, in prepare
self.prepare_url(url, params)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/models.py”, line 376, in prepare_url
raise InvalidURL(*e.args)
requests.exceptions.InvalidURL: Failed to parse: None:None
2017-07-23 13:54:38 ERROR (Thread-5) [homeassistant.components.device_tracker.netgear] Failed to Login
2017-07-23 13:54:38 ERROR (MainThread) [homeassistant.components.device_tracker] Error setting up platform netgear

After adding a configuration entry for my netgear router to configuration.yaml and adding a known_devices.yaml file to the .homeassistant directory I was finally able to get the interface up and running!

device_tracker:
platform: netgear

Hopefully someone else may find this journey useful.

You could try putting a password in …

## INCLUDE ##
http: !include http.yaml
  # Uncomment this to add a password (recommended!)
  # api_password: PASSWORD
  # Uncomment this if you are using SSL or running in Docker etc
  # base_url: example.duckdns.org:8123

Then in http.yaml

api_password: !secret http_password

Then in secrets.yaml

http_password: yourpasswordforthefrontend

It may help you get in :slight_smile:

1 Like